spring.webflux.base-path: /shopping-cart-service/api/

server.port: ${PORT:8186}

info.app.maven.version: @pom.version@
info.app.maven.artifactId: @pom.artifactId@
info.app.maven.groupId: @pom.groupId@
info.app.maven.description: @pom.description@

logging:
  level:
    root: INFO
    org.springframework.data.mongodb.core.ReactiveMongoTemplate: DEBUG
    name.alp.shopping.shoppingcartservice: DEBUG
spring:
  application:
    name: @pom.artifactId@

  data:
    mongodb:
      uri: mongodb://${mongodb.host:localhost}:${mongodb.port:27017}/shopping_cart_database


  # -------------------
  # CONSUL settings
  # -------------------

  cloud:
    consul:
      discovery:
        instanceId: ${spring.application.name}:${server.port}
        register-health-check: false
        prefer-ip-address: true
      host: ${consul.host:localhost}
      port: ${consul.port:8500}
      config:
        enabled: true
        prefix: config
        defaultContext: ${spring.application.name}

feign.services:
  category-service.baseUrl: /category-service/api/
  product-service.baseUrl: /product-service/api/